﻿using Syncfusion.Windows.Tools.Controls;
using System.Collections.Generic;
using System.Windows;

namespace WpfRibbon168556
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : RibbonWindow
    {
        public MainWindow()
        {
            InitializeComponent();

            Employees = new List<Employee>();
            Employees.Add(new Employee { Name = "Lucas", Email = "lucas@syncfusion.com" });
            Employees.Add(new Employee { Name = "James", Email = "james@syncfusion.com" });
            Employees.Add(new Employee { Name = "Jacob", Email = "jacob@syncfusion.com" });

            this.DataContext = this;
        }

        private List<Employee> employees;

        public List<Employee> Employees
        {
            get { return employees; }
            set { employees = value; }
        }

        private void button_Click(object sender, RoutedEventArgs e)
        {
            Window1 win = new WpfRibbon168556.Window1();
            win.Show();
        }
    }

    public class Employee
    {
        public string Name { get; set; }

        public string Email { get; set; }
    }
}
